Bug 1294180 - [abrt] NetworkManager: check_if_startup_complete(): NetworkManager killed by SIGSEGV
[abrt] NetworkManager: check_if_startup_complete(): NetworkManager killed by ...
Status: CLOSED DUPLICATE of bug 1301389
Product: Fedora EPEL
Classification: Fedora
Component: NetworkManager-vpnc (Show other bugs)
epel7
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Huzaifa S. Sidhpurwala
Fedora Extras Quality Assurance
abrt_hash:8af5d07c795a901ece2cea8c6fa...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-12-25 03:44 EST by Alexander Todorov
Modified: 2016-02-18 11:29 EST (History)
9 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-01-25 11:56:22 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (26.16 KB, text/plain)
2015-12-25 03:44 EST, Alexander Todorov
no flags Details
File: cgroup (199 bytes, text/plain)
2015-12-25 03:44 EST, Alexander Todorov
no flags Details
File: core_backtrace (11.66 KB, text/plain)
2015-12-25 03:44 EST, Alexander Todorov
no flags Details
File: dso_list (5.31 KB, text/plain)
2015-12-25 03:44 EST, Alexander Todorov
no flags Details
File: environ (72 bytes, text/plain)
2015-12-25 03:44 EST, Alexander Todorov
no flags Details
File: exploitable (82 bytes, text/plain)
2015-12-25 03:44 EST, Alexander Todorov
no flags Details
File: limits (1.29 KB, text/plain)
2015-12-25 03:44 EST, Alexander Todorov
no flags Details
File: machineid (135 bytes, text/plain)
2015-12-25 03:44 EST, Alexander Todorov
no flags Details
File: maps (25.86 KB, text/plain)
2015-12-25 03:44 EST, Alexander Todorov
no flags Details
File: open_fds (2.34 KB, text/plain)
2015-12-25 03:44 EST, Alexander Todorov
no flags Details
File: proc_pid_status (1.03 KB, text/plain)
2015-12-25 03:44 EST, Alexander Todorov
no flags Details
File: var_log_messages (21.66 KB, text/plain)
2015-12-25 03:44 EST, Alexander Todorov
no flags Details
File: sosreport.tar.xz (12.44 MB, application/octet-stream)
2015-12-25 03:47 EST, Alexander Todorov
no flags Details

  None (edit)
Description Alexander Todorov 2015-12-25 03:44:09 EST
Version-Release number of selected component:
NetworkManager-1.0.6-27.el7

Additional info:
reporter:       libreport-2.1.11
backtrace_rating: 4
cmdline:        /usr/sbin/NetworkManager --no-daemon
crash_function: check_if_startup_complete
executable:     /usr/sbin/NetworkManager
global_pid:     1719
kernel:         3.10.0-327.el7.x86_64
runlevel:       N 5
type:           CCpp
uid:            0

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 check_if_startup_complete
 #6 g_object_notify at /lib64/libgobject-2.0.so.0
 #7 connection_removed
 #11 g_signal_emit_by_name at /lib64/libgobject-2.0.so.0
 #12 nm_settings_connection_signal_remove
 #13 do_delete
 #14 dispose at /usr/lib64/NetworkManager/libnm-device-plugin-bluetooth.so
 #16 g_hash_table_remove_all_nodes at /lib64/libglib-2.0.so.0
 #17 g_hash_table_remove_all at /lib64/libglib-2.0.so.0
 #18 dispose at /usr/lib64/NetworkManager/libnm-device-plugin-bluetooth.so
Comment 1 Alexander Todorov 2015-12-25 03:44:15 EST
Created attachment 1109368 [details]
File: backtrace
Comment 2 Alexander Todorov 2015-12-25 03:44:17 EST
Created attachment 1109369 [details]
File: cgroup
Comment 3 Alexander Todorov 2015-12-25 03:44:19 EST
Created attachment 1109370 [details]
File: core_backtrace
Comment 4 Alexander Todorov 2015-12-25 03:44:21 EST
Created attachment 1109371 [details]
File: dso_list
Comment 5 Alexander Todorov 2015-12-25 03:44:22 EST
Created attachment 1109372 [details]
File: environ
Comment 6 Alexander Todorov 2015-12-25 03:44:24 EST
Created attachment 1109373 [details]
File: exploitable
Comment 7 Alexander Todorov 2015-12-25 03:44:25 EST
Created attachment 1109374 [details]
File: limits
Comment 8 Alexander Todorov 2015-12-25 03:44:27 EST
Created attachment 1109375 [details]
File: machineid
Comment 9 Alexander Todorov 2015-12-25 03:44:29 EST
Created attachment 1109376 [details]
File: maps
Comment 10 Alexander Todorov 2015-12-25 03:44:31 EST
Created attachment 1109377 [details]
File: open_fds
Comment 11 Alexander Todorov 2015-12-25 03:44:32 EST
Created attachment 1109378 [details]
File: proc_pid_status
Comment 12 Alexander Todorov 2015-12-25 03:44:35 EST
Created attachment 1109379 [details]
File: var_log_messages
Comment 14 Alexander Todorov 2015-12-25 03:47:07 EST
Created attachment 1109380 [details]
File: sosreport.tar.xz
Comment 15 Alexander Todorov 2015-12-25 03:51:49 EST
This started happening with NetworkManager-vpnc-1.0.8-1.el7.x86_64 from EPEL.
Comment 16 Alexander Todorov 2015-12-25 03:52:56 EST
Log says: 

дек 25 10:52:13 aero NetworkManager[5994]: <info>  Starting VPN service 'vpnc'...
дек 25 10:52:13 aero NetworkManager[5994]: <info>  VPN service 'vpnc' started (org.freedesktop.NetworkManager.vpnc), PID 8741
дек 25 10:52:13 aero NetworkManager[5994]: <info>  VPN service 'vpnc' appeared; activating connections
дек 25 10:52:13 aero NetworkManager[5994]: <info>  VPN plugin state changed: init (1)
дек 25 10:52:24 aero NetworkManager[5994]: <info>  VPN plugin state changed: starting (3)
дек 25 10:52:24 aero NetworkManager[5994]: <info>  VPN connection 'Red Hat Amsterdam' (ConnectInteractive) reply received.
дек 25 10:52:24 aero NetworkManager[5994]: <info>  VPN plugin state changed: stopped (6)
дек 25 10:52:24 aero NetworkManager[5994]: <info>  VPN plugin state change reason: unknown (0)
дек 25 10:52:24 aero NetworkManager[5994]: ** Message: vpnc started with pid 8752
дек 25 10:52:24 aero NetworkManager[5994]: ** Message: Terminated vpnc daemon with PID 8752.
Comment 17 Jirka Klimes 2015-12-30 16:19:33 EST
The NetworkManager crash is a problem in NM itself. Is it related to VPN connection problem? Are you able to reproduce the issue?
Comment 18 Alexander Todorov 2016-01-04 05:15:38 EST
Hi Jirka,
I've started seeing this after upgrading to NetworkManager-vpnc-1.0.8-1.el7 from EPEL. I was able to consistently reproduce with this version. However this broke my ability to connect to VPN so I've reverted back to NetworkManager-vpnc-0.9.9.0-6.git20140428.el7.x86_64.
Comment 19 Priscila 2016-01-20 11:01:56 EST
Hello.


I was hitting exactly same issue. I also downgraded the NM and VPN plugin is working.
Comment 20 Thomas Haller 2016-01-25 10:59:25 EST
is it possible to reproduce the crash and see the stack trace with debug-info installed?
Comment 21 Thomas Haller 2016-01-25 11:56:22 EST
actually, I'm duplicating this BZ to bug 1301389.

The issue is not in NetworkManager-vpnc or in the EPEL packages.

*** This bug has been marked as a duplicate of bug 1301389 ***
Comment 22 Alexander Todorov 2016-01-27 05:49:00 EST
NM nor vpn didn't crash with the latest updates. Here's all related packages on my system:


NetworkManager-libnm-1.0.6-27.el7.x86_64
NetworkManager-debuginfo-1.0.6-27.el7.x86_64
NetworkManager-tui-1.0.6-27.el7.x86_64
NetworkManager-bluetooth-1.0.6-27.el7.x86_64
NetworkManager-openconnect-0.9.8.6-2.el7.x86_64
NetworkManager-vpnc-1.0.8-1.el7.x86_64
NetworkManager-wifi-1.0.6-27.el7.x86_64
NetworkManager-team-1.0.6-27.el7.x86_64
NetworkManager-vpnc-debuginfo-1.0.8-1.el7.x86_64
NetworkManager-libreswan-1.0.6-3.el7.x86_64
NetworkManager-openvpn-gnome-1.0.8-1.el7.x86_64
NetworkManager-glib-devel-1.0.6-27.el7.x86_64
NetworkManager-wwan-1.0.6-27.el7.x86_64
NetworkManager-openvpn-1.0.8-1.el7.x86_64
NetworkManager-adsl-1.0.6-27.el7.x86_64
NetworkManager-devel-1.0.6-27.el7.x86_64
NetworkManager-vpnc-gnome-1.0.8-1.el7.x86_64
NetworkManager-glib-1.0.6-27.el7.x86_64
NetworkManager-1.0.6-27.el7.x86_64

Note You need to log in before you can comment on or make changes to this bug.